cdac.medinfo.validator

## Class CCDValidationEventHandler

- java.lang.Object
- - cdac.medinfo.validator.CCDValidationEventHandler

- All Implemented Interfaces:
    javax.xml.bind.ValidationEventHandler

      public class CCDValidationEventHandler
      extends java.lang.Object
      implements javax.xml.bind.ValidationEventHandler

  This class is used as a Event Handler for Clinical Document Validator which logs the severity,message and location(line number and column number) for the Event occur

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CCDValidationEventHandler()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `handleEvent(javax.xml.bind.ValidationEvent event)` used to handle Event Receive notification of a validation warning or error.The ValidationEvent will have a ValidationEventLocator embedded in it that indicates where the error or warning occurred.If an unchecked runtime exception is thrown from this method, the JAXBprovider will treat it as if the method returned false and interrupt the current unmarshal, validate, or marshal operation.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CCDValidationEventHandler

          public CCDValidationEventHandler()

  - ### Method Detail

    - #### handleEvent

          public boolean handleEvent(javax.xml.bind.ValidationEvent event)

      used to handle Event Receive notification of a validation warning or error.The ValidationEvent will have a ValidationEventLocator embedded in it that indicates where the error or warning occurred.If an unchecked runtime exception is thrown from this method, the JAXBprovider will treat it as if the method returned false and interrupt the current unmarshal, validate, or marshal operation.
      Specified by:
        `handleEvent` in interface `javax.xml.bind.ValidationEventHandler`
      Parameters:
        `event` - - value for event